## Terraform OCI provider required variables
user_ocid        = "ocid1.user.oc1.."
fingerprint      = "1c.."
private_key_path = "~/.oci/oci_api_key.pem"
tenancy_ocid     = "ocid1.tenancy."
region           = "us-ashburn-1"

compute_compartment_ocid = "ocid1.compartment."
network_compartment_ocid = "ocid1.compartment."

ad_number      = "1"

ssh_public_key = "ssh-rsa AAA..."

subnet_type = "Public Subnet"
#subnet_type = "Private Subnet"

## Compute shape configuration
compute_shape         = "VM.Standard.E4.Flex"

## Flex shape ocpu and memory configuration (optional)
flex_shape_ocpus      = 1
flex_shape_memory      = 6


### Select either to work with a platform or custom image

#Platform Image or Custom Image
compute_image_strategy = "Platform Image - Oracle Linux 8"
#compute_image_strategy = "Custom Image - Oracle Linux 8"

#Provide image OCID based upon previous selections
#Oracle Linux 8.3
#platform_image_ocid = "ocid1.image.

## Oracle Linux 8.3
#custom_image_ocid = "ocid1.image."

### GitLab Server (optional)
#external_url="https://<mydomainname.com>"